## dovecot 1.2.9

=== debian/changelog ===
dovecot (1:1.2.9-1ubuntu6.1) lucid-proposed; urgency=low

  * Use sieve plugin instead of cmusieve for dovecot-postfix
    (LP: #573345)

 -- Ante Karamatic <ivoks@ubuntu.com>  Sun, 02 May 2010 08:39:34 +0200

dovecot (1:1.2.9-1ubuntu6) lucid; urgency=low

  [Ante Karamatic]
  * dovecot-example.conf, debian/dovecot-common.dirs, debian/01-dovecot-postfix.auth,
       debian/01-dovecot-postfix.conf, debian/control, debian/dovecot-postfix.dirs,
       debian/dovecot-postfix.postinst, debian/dovecot-postfix.postrm, debian/dovecot-postfix.preinst,
       debian/rules:
       * Fix dovecot -n not to report wrong configuration. (LP: #511295) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 19 Apr 2010 13:13:20 -0400

dovecot (1:1.2.9-1ubuntu5) lucid; urgency=low

  * debian/patches/fix-dovecot-dos.dpatch: Fix possible DoS with dovecot. (LP: #536695)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Mar 2010 14:25:52 -0500

dovecot (1:1.2.9-1ubuntu4) lucid; urgency=low

  * debian/control: Recommend ntpdate.  (LP: #347881)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Mar 2010 14:30:15 -0500

dovecot (1:1.2.9-1ubuntu3) lucid; urgency=low

  * debian/patches/fix-mbox-autodetection.patch: Allow mailbox creation when autodetecting. 
    (LP: #512975)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 19 Feb 2010 15:04:29 -0500

dovecot (1:1.2.9-1ubuntu2) lucid; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 21 Jan 2010 20:02:02 -0500

dovecot (1:1.2.9-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    + Add new binary pkg dovecot-postfix that integrates postfix and dovecot
      automatically: (LP: #164837)
    + debian/control:
      - add new binary with short description
      - set Architecture all for dovecot-postfix (LP: #329878)
    + debian/dovecot-postfix.postinst:
      - create initial certificate symlinks to snakeoil.
      - set up postfix with postconf to:
        - use Maildir/ as the default mailbox.
        - use dovecot as the sasl authentication server.
        - use dovecot LDA (deliver).
        - use tls for smtp{d} services.
      - fix certificates paths in postfix' main.cf
      - add reject_unauth_destination to postfix' recipient restrictions
      - add reject_unknown_sender_domain to postfix' sender restriction
      - rename configuration name on remove, delete on purge
      - restart dovecot after linking certificates
      - handle use case when postfix is unconfigurated
    + debian/dovecot-postfix.dirs: create backup directory for postfix's config
      configuration
    + restart postfix and dovecot.
    + debian/dovecot-postfix.postrm:
      - remove all dovecot related configuration from postfix.
      - restart postfix and dovecot.
    + debian/dovecot-common.init:
      - check if /etc/dovecot/dovecot-postfix.conf exists and use it
        as the configuration file if so.
    + debian/patches/warning-ubuntu-postfix.dpatch
      - add warning about dovecot-postfix.conf in dovecot default
        configuration file
    + debian/patches/dovecot-postfix.conf.diff:
      - Ubuntu server custom changes to the default dovecot configuration for
        better interfation with postfix.
      - enable sieve plugin.
      - Ubuntu server custom changes to the default dovecot configuration for
        better integration with postfix:
        - enable imap, pop3, imaps, pop3s and managesieve by default.
        - enable dovecot LDA (deliver).
        - enable SASL auth socket in postfix private directory
     + debian/rules:
       - copy, patch and install dovecot-postfix.conf in /etc/dovecot/.
       - build architecure independent packages too
     + Use Snakeoil SSL certificates by default.
       - debian/control: Depend on ssl-cert.
       - debian/patches/ssl-cert-snakeoil.dpatch: Change default SSL cert
         paths to snakeoil.
       - debian/dovecot-common.postinst: Relax grep for SSL_* a bit.
     + Add autopkgtest to debian/tests/*.
     + Fast TearDown: Update the lsb init header to not stop in level 6.
     + Add ufw integration:
       - Created debian/dovecot-common.ufw.profile.
       - debian/rules: install profile.
       - debian/control: suggest ufw.
     + debian/{control,rules}: enable PIE hardening.
     + dovecot-imapd, dovecot-pop3: Replaces dovecot-common (<< 1:1.1). (LP: #254721)
     + debian/control: Update Vcs-* headers.
     + Add SMTP-AUTH support for Outlook (login auth mechanism)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 21 Jan 2010 15:07:24 -0500

dovecot (1:1.2.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/gold-fix.patch: Removed. Fixed upstream.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 17 Dec 2009 10:52:53 +0100

dovecot (1:1.2.8-2) unstable; urgency=low

  * Moved libexec to lib corrections in dovecot-managesieve.patch and
    dovecot-managesieve-dist.patch to dovecot-example.patch
  * debian/patches/dovecot-mboxlocking.patch: Regenerated to avoid FTBFS
    when quilt isn't installed.
  * debian/patches/quota-mountpoint.patch: Removed. Not needed anymore.
  * debian/patches/dovecot-quota.patch: Removed. Quotas aren't properly
    enabled unless mail_plugins = quota imap_quota.
  * debian/patches/gold-fix.patch: Fixed configure script to build even
    with binutils-gold or --no-add-needed linker flag (Closes: #554306)
  * debian/dovecot-common.init: fixed LSB headers. Thanks to Pascal Volk.
    (Closes: #558040)
  * debian/changelog: added CVE references to previous changelog entry.
  * debian/rules: checked up the build system. It's not fragile anymore.
    (Closes: 493803)
  * debian/dovecot-common.postinst: Now invoking dpkg-reconfigure
    on dovecot-common is enough to generate new certificates
    if the previous ones were removed. (Closes: #545582)
  * debian/rules: No longer install convert-tool in /usr/bin.
    It isn't an user utility and it should stay in /usr/lib/dovecot
    like all other similar tool.


