=== debian/control ===
Source: dovecot
Section: mail
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>, Fabio Tranchitella <kobold@debian.org>, Joel Johnson <mrjoel@lixil.net>, Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 5.0.0), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev, hardening-wrapper
Build-Conflicts: linux-kernel-headers (<= 2.5.999-test7-bk-17)
Standards-Version: 3.8.3
Homepage: http://dovecot.org/
Vcs-Bzr: https://code.edge.launchpad.net/~ubuntu-branches/ubuntu/lucid/dovecot/lucid

Package: dovecot-common
Architecture: any
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020), ssl-cert (>= 1.0-11ubuntu1), lsb-base (>= 3.2-12ubuntu3)
Suggests: ntp, ufw
Recommends: ntpdate
Replaces: dovecot
Description: secure mail server that supports mbox and maildir mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify
 that all data is valid, making it nearly impossible to crash. It should
 also be pretty fast, extensible, and portable.
 .
 This package contains the files used by both the dovecot IMAP and POP3 servers
 and the Dovecot LDA (deliver).

Package: dovecot-dev
Architecture: any
Depends: ${shlibs:Depends}, dovecot-common (= ${binary:Version})
Description: header files for the dovecot mail server
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify
 that all data is valid, making it nearly impossible to crash. It should
 also be pretty fast, extensible, and portable.
 .
 This package contains header files needed to compile plugins for the
 dovecot mail server.

Package: dovecot-imapd
Architecture: any
Depends: ${shlibs:Depends}, dovecot-common (= ${binary:Version})
Provides: imap-server
Replaces: imap-server, dovecot-common (<< 1:1.1)
Description: secure IMAP server that supports mbox and maildir mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify
 that all data is valid, making it nearly impossible to crash. It should
 also be pretty fast, extensible, and portable.
 .
 This package contains the dovecot IMAP server.

Package: dovecot-pop3d
Architecture: any
Depends: ${shlibs:Depends}, dovecot-common (= ${binary:Version})
Provides: pop3-server
Replaces: pop3-server, dovecot-common (<< 1:1.1)
Description: secure POP3 server that supports mbox and maildir mailboxes
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify
 that all data is valid, making it nearly impossible to crash. It should
 also be pretty fast, extensible, and portable.
 .
 This package contains the dovecot POP3 server.

Package: dovecot-postfix
Architecture: all
Depends: dovecot-common, dovecot-imapd, dovecot-pop3d, postfix
Description: full mail server stack provided by Ubuntu server team
 Ubuntu's mail stack provides fully operational mail server with
 safe defaults and additional options. Out of the box it supports IMAP,
 POP3 and SMTP services with SASL authentication and Maildir as default
 storage engine.
 .
 This package contains configuration files for dovecot.

Package: dovecot-dbg
Section: debug
Priority: extra
Architecture: any
Depends: dovecot-common (= ${binary:Version})
Description: debug symbols for Dovecot
 Dovecot is a mail server whose major goals are security and extreme
 reliability. It tries very hard to handle all error conditions and verify
 that all data is valid, making it nearly impossible to crash. It should
 also be pretty fast, extensible, and portable.
 .
 This package contains debug symbols for Dovecot.
