=== debian/watch ===
# watch control file for uscan
version=3
# Site                                      Version Script
http://dovecot.org/releases/1.2/dovecot-(.*\.[0-9]+)\.tar\.gz debian uupdate
