## dovecot 1.2.12

=== debian/changelog ===
dovecot (1:1.2.12-1ubuntu8.2) maverick-security; urgency=low

  * SECURITY UPDATE: fix memory corruption when header names included
    null bytes:
    - debian/patches/dovecot-CVE-2011-1929.patch: use binary copy rather
      than a string based copy.
    - CVE-2011-1929

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 31 May 2011 14:46:26 -0700

dovecot (1:1.2.12-1ubuntu8.1) maverick-security; urgency=low

  * SECURITY UPDATE: information disclosure via newly created mailboxes
    with incorrect ACLs
    - debian/patches/CVE-2010-3304.patch: verify the directory isn't the
      same as the INBOX's directory in src/plugins/acl/acl-backend-vfile.c.
    - CVE-2010-3304
  * SECURITY UPDATE: ACL bypass via incorrect ACL merging
    - debian/patches/CVE-2010-370x.patch: fix logic of merging multiple
      ACLs in src/plugins/acl/{acl-api.h,acl-backend-vfile.c,acl-backend.c,
      acl-cache.c}.
    - CVE-2010-3706
    - CVE-2010-3707
  * SECURITY UPDATE: restriction bypass via mailbox ACL changing
    - debian/patches/CVE-2010-3779.patch: don't give admin rights to all
      owner mailboxes in src/plugins/acl/acl-backend-vfile.c.
    - CVE-2010-3779
  * SECURITY UPDATE: denial of service via many simultaneous disconnects.
    - debian/patches/CVE-2010-3780.patch: don't die after three failed
      writes to log in src/lib/failures.c.
    - CVE-2010-3780
  * debian/control: removed linux-kernel-headers from Build-Conflicts to
    resolve building with sbuild.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 10 Jan 2011 15:29:47 -0600

dovecot (1:1.2.12-1ubuntu8) maverick; urgency=low

  * debian/mail-stack-delivery.preinst: Fixing shell syntax and typo in
     file rename code. (LP: #653362)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 06 Oct 2010 00:00:48 -0700

dovecot (1:1.2.12-1ubuntu7) maverick; urgency=low

  [Dave Walker]
  * debian/rules: Build all architecture independent components, rather 
    than acting on mail-stack-delivery only. (LP: #651027)
  * debian/control: dovecot-postfix (transitional package), should depend on
    the renamed mail-stack-delivery not the original mail-server-delivery.

  [Ante Karamatić]
  * debian/patches/mail-stack-dovecot.conf: include additional information.
    (LP: #649574)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Oct 2010 08:36:22 -0400

dovecot (1:1.2.12-1ubuntu6) maverick; urgency=low

  * debian/dovecot-common.dovecot.upstart: Fix for non-starting upstart job (LP: #646858) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Sep 2010 11:45:50 -0400

dovecot (1:1.2.12-1ubuntu5) maverick; urgency=low

  * debian/patches/fix-mbox-autodetection.patch: Re-add allow mailbox creation patch when autodetecting
    (LP: #645288) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Sep 2010 12:21:38 -0400

dovecot (1:1.2.12-1ubuntu4) maverick; urgency=low

  * debian/mail-stack-delivery.preinst:
    - Properly close switch/case statement (LP: #645808)

 -- Niall Creech <niallcreech@gmail.com>  Thu, 23 Sep 2010 08:58:04 +0100

dovecot (1:1.2.12-1ubuntu3) maverick; urgency=low

  * debian/rules,  debian/dovecot-common.dovecot.upstart, debian/control,
    debian/dovecot-common.dirs, dovecot-imapd.{postrm, postinst, prerm},
    debian/dovecot-pop3d.{postinst, postrm, prerm}, mail-stack-delivery.postinst:
    Convert init script up to upstart. Apart of the server-maverick-upstart-conversion
    specification.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 Jul 2010 15:15:22 -0400

dovecot (1:1.2.12-1ubuntu2) maverick; urgency=low

  * debian/rules, debian/source_dovecot.py: Add apport hook. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 08 Jul 2010 09:13:29 -0400

dovecot (1:1.2.12-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Add mail-stack-delivery as per server-maverick-mail-integration spec:
     - Update debian/rules
     - Convert existing package to a dummy package and add new binary in debian/control
     - Update maintainer scripts.
     - Move previously installed backups and config files to new package name
       space in preinst
     - Add new debian/mail-stack-delivery.prerm to handle downgrades
     - Rename debian/dovecot-postfix.* to debian/mail-stack-delivery.*
    + Use Snakeoil SSL certificates by default.
      - debian/control: Depend on ssl-cert.
      - debian/patches/ssl-cert-snakeoil.dpatch: Change default SSL cert paths to snakeoil.
      - debian/dovecot-common.postinst: Relax grep for SSL_* a bit.
    + Add autopkgtest to debian/tests/*.
    + Add ufw integration:
      - Created debian/dovecot-common.ufw.profile.
      - debian/rules: install profile.
      - debian/control: suggest ufw.
    + debian/{control,rules}: enable PIE hardening.
    + debian/control: Update Vcs-* headers.
    + Add SMTP-AUTH support for Outlook (login auth mechanism) 
    + debian/dovecot-common.dirs: Added usr/share/doc/dovecot-common
    + debian/patches/fix-dovecot-config-parser.patch: Fix ordering of external config 
      files. (LP: #597818)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 Jun 2010 09:21:32 -0400

dovecot (1:1.2.12-1) unstable; urgency=low

  * New upstream release
  * Upgraded sieve plugin to version 0.1.17
  * Refreshed dovecot-managesieve.patch
  * debian/patches/sieve-fix-imapflags.patch: Removed. Fixed upstream.

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 26 Jun 2010 18:14:15 +0200

dovecot (1:1.2.12-0ubuntu3) maverick; urgency=low

  * debian/patches/fix-dovecot-config-parser.patch: Fix ordering of external config 
    files. (LP: #597818) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jun 2010 14:09:05 -0400

dovecot (1:1.2.12-0ubuntu2) maverick; urgency=low

  * Adjust mail-stack-delivery conflicts version to match correct version
  * Add ${misc:Depends} for dovecot-postfix

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Jun 2010 01:05:31 -0400

dovecot (1:1.2.12-0ubuntu1) maverick; urgency=low

  * New upstream release:

