=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 export DEB_BUILD_HARDENING=1
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+SIEVE_DIR=sieve
+MANAGESIEVE_DIR=managesieve
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -36,21 +39,15 @@
 	            --disable-static
 	$(MAKE) dovecot-config
 	# Dovecot sieve plugin
-	(cd libsieve/ && sh configure --with-dovecot=../ \
+	(cd $(SIEVE_DIR)/ && sh configure --with-dovecot=../ \
 		--prefix=/usr \
 		--libexecdir=\$${prefix}/lib \
 		--enable-static=no )
-	cp libsieve/ChangeLog libsieve/sieve.ChangeLog
-	cp libsieve/README libsieve/sieve.README
-	cp libsieve/NEWS libsieve/sieve.NEWS
 	# Dovecot managesieve module
-	(cd managesieve/ && sh configure --with-dovecot=../ \
-		--with-dovecot-sieve=../libsieve/ \
+	(cd $(MANAGESIEVE_DIR)/ && sh configure --with-dovecot=../ \
+		--with-dovecot-sieve=../$(SIEVE_DIR)/ \
 		--prefix=/usr \
 		--libexecdir=\$${prefix}/lib)
-	cp managesieve/ChangeLog managesieve/managesieve.ChangeLog
-	cp managesieve/README managesieve/managesieve.README
-	cp managesieve/NEWS managesieve/managesieve.NEWS
 	touch config-stamp
 
 build: build-stamp
@@ -59,9 +56,9 @@
 	# Dovecot
 	$(MAKE)
 	# Dovecot sieve plugin
-	$(MAKE) -C libsieve
+	$(MAKE) -C $(SIEVE_DIR)
 	# Dovecot managesieve module
-	$(MAKE) -C managesieve
+	$(MAKE) -C $(MANAGESIEVE_DIR)
 	# DRAC
 	$(MAKE) -C src/plugins/drac
 	touch build-stamp
@@ -73,11 +70,9 @@
 	# Cleanup dovecot itself
 	[ ! -f Makefile ] || $(MAKE) distclean
 	# Cleanup dovecot sieve plugin
-	[ ! -f libsieve/Makefile ] || $(MAKE) -C libsieve distclean
-	rm -f libsieve/sieve.README libsieve/sieve.NEWS libsieve/sieve.ChangeLog
+	[ ! -f $(SIEVE_DIR)/Makefile ] || $(MAKE) -C $(SIEVE_DIR) distclean
 	# Cleanup dovecot ManageSieve
-	[ ! -f managesieve/Makefile ] || $(MAKE) -C managesieve distclean
-	rm -f managesieve/managesieve.README managesieve/managesieve.NEWS managesieve/managesieve.ChangeLog
+	[ ! -f $(MANAGESIEVE_DIR)/Makefile ] || $(MAKE) -C $(MANAGESIEVE_DIR) distclean
 	# Cleanup DRAC
 	rm -f src/plugins/drac/drac.so
 	dh_clean
@@ -88,14 +83,21 @@
 	dh_clean -k
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/dovecot-common
-	$(MAKE) -C libsieve install DESTDIR=$(CURDIR)/debian/dovecot-common
-	$(MAKE) -C managesieve install DESTDIR=$(CURDIR)/debian/dovecot-common
+	$(MAKE) -C $(SIEVE_DIR) install DESTDIR=$(CURDIR)/debian/dovecot-common
+	$(MAKE) -C $(MANAGESIEVE_DIR) install DESTDIR=$(CURDIR)/debian/dovecot-common
 	cp $(CURDIR)/src/plugins/drac/drac.so $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/modules
 	mv $(CURDIR)/debian/dovecot-common/etc/dovecot/dovecot-example.conf $(CURDIR)/debian/dovecot-common/usr/share/dovecot/dovecot.conf
 	install -o root -g root -m 0644 $(CURDIR)/doc/dovecot-ldap-example.conf $(CURDIR)/debian/dovecot-common/usr/share/dovecot/dovecot-ldap.conf
 	install -o root -g root -m 0644 $(CURDIR)/doc/dovecot-sql-example.conf $(CURDIR)/debian/dovecot-common/usr/share/dovecot/dovecot-sql.conf
 	install -D -m 0755 -o root -g root $(CURDIR)/debian/maildirmake.dovecot $(CURDIR)/debian/dovecot-common/usr/bin/maildirmake.dovecot
 	install -m644 debian/dovecot-common.ufw.profile debian/dovecot-common/etc/ufw/applications.d/dovecot-common
+	install -m 0755 -o root -g root $(CURDIR)/debian/expire-tool.sh $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/expire-tool.sh
+	cp $(SIEVE_DIR)/ChangeLog $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/sieve.ChangeLog
+	cp $(SIEVE_DIR)/README $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/sieve.README
+	cp $(SIEVE_DIR)/NEWS $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/sieve.NEWS
+	cp $(MANAGESIEVE_DIR)/ChangeLog $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.ChangeLog
+	cp $(MANAGESIEVE_DIR)/README $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.README
+	cp $(MANAGESIEVE_DIR)/NEWS $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.NEWS		
 	mv $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common
 	mv $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/imap* $(CURDIR)/debian/dovecot-imapd/usr/lib/dovecot
 	mv $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/modules/imap/ $(CURDIR)/debian/dovecot-imapd/usr/lib/dovecot/modules/
@@ -107,22 +109,25 @@
 	rm $(CURDIR)/debian/dovecot-common/etc/dovecot/dovecot-ldap-example.conf
 	rm $(CURDIR)/debian/dovecot-common/etc/dovecot/dovecot-sql-example.conf
 
+	# Install apport hook
+	install -D -m 644 debian/source_dovecot.py $(CURDIR)/debian/dovecot-common/usr/share/apport/package-hooks/dovecot-common.py
+
 
 # Build architecture-independent files here.
 binary-indep: build install
-	mkdir -p $(CURDIR)/debian/dovecot-postfix/etc/dovecot/conf.d/
-	mkdir -p $(CURDIR)/debian/dovecot-postfix/etc/dovecot/auth.d/
-	cp $(CURDIR)/debian/01-dovecot-postfix.conf $(CURDIR)/debian/dovecot-postfix/etc/dovecot/conf.d/
-	cp $(CURDIR)/debian/01-dovecot-postfix.auth $(CURDIR)/debian/dovecot-postfix/etc/dovecot/auth.d/
-	dh_testdir -pdovecot-postfix
-	dh_testroot -pdovecot-postfix
-	dh_installdocs -pdovecot-postfix
-	dh_installchangelogs -pdovecot-postfix ChangeLog
-	dh_compress -pdovecot-postfix
-	dh_installdeb -pdovecot-postfix
-	dh_gencontrol -pdovecot-postfix
-	dh_md5sums -pdovecot-postfix
-	dh_builddeb -pdovecot-postfix
+	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
+	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/auth.d/
+	cp $(CURDIR)/debian/01-mail-stack-delivery.conf $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
+	cp $(CURDIR)/debian/01-mail-stack-delivery.auth $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/auth.d/
+	dh_testdir -i
+	dh_testroot -i
+	dh_installdocs -i
+	dh_installchangelogs -i ChangeLog
+	dh_compress -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -132,7 +137,8 @@
 	dh_installexamples -a
 	dh_installpam -a
 	mv $(CURDIR)/debian/dovecot-common/etc/pam.d/dovecot-common $(CURDIR)/debian/dovecot-common/etc/pam.d/dovecot
-	dh_installinit -pdovecot-common --init-script=dovecot -u"start 24 2 3 4 5 . stop 76 1 ."
+	dh_installinit -pdovecot-common --name=dovecot --upstart-only
+	dh_installcron -p dovecot-common --name=dovecot	
 	dh_installman -a
 	dh_installman -p dovecot-common debian/maildirmake.dovecot.1 debian/dovecot.1 debian/dovecot.8 debian/dovecotpw.1
 	dh_installchangelogs -a ChangeLog
