## dovecot 1.2.15

=== debian/changelog ===
dovecot (1:1.2.15-7+deb6u1) squeeze-lts; urgency=low

  * Non-maintainer upload.
  * Add 0012-CVE-2014-3430.patch patch.
    CVE-2014-3430: Fixed a DoS attack against imap/pop3-login processes. If
    SSL/TLS handshake was started but wasn't finished, the login process
    attempted to eventually forcibly disconnect the client, but failed to do
    it correctly. This could have left the connections hanging arond for a
    long time. (Closes: #747549)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 10 Jun 2014 14:40:54 +0200

dovecot (1:1.2.15-7) stable-security; urgency=high

  * [2ffd812] Lifted Build-Conflicts with ancient linux-kernel-headers
    (Closes: #622384)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 25 May 2011 10:08:30 +0200

dovecot (1:1.2.15-6) stable-security; urgency=high

  * Rebuilt in a clean squeeze environment, no changes.

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 22 May 2011 11:43:04 +0200

dovecot (1:1.2.15-5) stable-security; urgency=high

  * [feae144] Fixed potential crashes and other problems when parsing
    header names that contained NUL characters. (CVE-2011-1929)
    (Closes: #627443)

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 21 May 2011 21:04:30 +0200

dovecot (1:1.2.15-4) unstable; urgency=low

  * [49abe86] Fix upgrade from lenny by adding epoch to Replaces and
    Breaks lines (Closes: #601980)

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 24 Jan 2011 23:12:17 +0100

dovecot (1:1.2.15-3) unstable; urgency=low

  * [096c373] Fix file overwrite error when upgrading from lenny
    (Closes: #601980)
  * [37b3220] Add --no-create-home to adduser invocation in dovecot-
    common.postinst script (Closes: #601767)
  * [b00b527] Fall back to `hostname` if `hostname -f` invocation fails
    (Closes: #562780)
  * [9102fec] Make self-generated certificates key length 2048 bits.

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 02 Nov 2010 11:12:53 +0100

dovecot (1:1.2.15-2) unstable; urgency=low

  * [a0744a5] Switch vcs fields to git
  * [d8a1bd4] Add debian/gbp.conf to make easy the usage of git-
    buildpackage
  * [c0dc21f] Warn that the generated SSL certificate will expire in 10
    years instead of 365 days, as it's the lifetime of of self-generated
    certificates since 1:1.2.13-1
  * [6472d63] Switch to gbp-pq patch management.
  * [bf2fc17] Upgraded sieve plugin to version 0.1.18
  * [6b9809d] Upgraded managesieve plugin to version 0.11.12
  * [d67cd17] Upgraded dovecot-managesieve.patch to version 0.11.12

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 28 Oct 2010 22:50:19 +0200

dovecot (1:1.2.15-1) unstable; urgency=high

  [ Marco Nenciarini ]
  * New upstream release (Closes: #587036,#597529)
  * Updated policy version to 3.9.1.0 (no changes needed)

  [ Jaldhar H. Vyas ]
  * [SECURITY] Fixes two bugs with acls which could have allowed a user to
    gain improper access or admin rights to shared mailboxes.
    (Closes: #599521)
  * Warn that the generated SSL certificate will expire in 365 days.  Thanks
    Phillip Weis.  (Closes: #576455)
  * Wherever the path to sendmail is given as /usr/lib/sendmail, change to
    /usr/sbin/sendmail.  (Closes: #570814,#595671)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 08 Oct 2010 17:34:19 -0400

dovecot (1:1.2.13-1) unstable; urgency=low

  [ Jaldhar H. Vyas ]
  * dovecot-common: Upped expiration date of self-generated certificates to
    10 years from 1 year.  (Closes: #587371)

  [ Marco Nenciarini ]
  * New upstream release:
    - Fixed iconv() crash when it was processing several kilobytes of
      broken continuous input. This mainly could have caused a problem
      with IMAP SEARCH. Possibly also with some Sieve checks.
    - If MIME encoded-words contained line feeds, Dovecot logged
      cache corruption errors.
    - mbox: Renaming mailbox under newly created dir didn't move index
      directory.
    - mbox: When generating envelope to From_-line, don't append a second
      @owndomain if username already has one.
  * Updated policy version to 3.9.0.0 (no changes needed)

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 26 Jul 2010 17:03:38 +0200
