=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
+Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>, Fabio Tranchitella <kobold@debian.org>, Joel Johnson <mrjoel@lixil.net>, Marco Nenciarini <mnencia@debian.org>
-Build-Depends: debhelper (>= 7.0.15), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev, hardening-wrapper
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5.0.0), pkg-config, libssl-dev, libpam0g-dev, libldap2-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libsasl2-dev, zlib1g-dev, libkrb5-dev, drac-dev (>= 1.12-5), libbz2-dev, libdb-dev
+Standards-Version: 3.9.1.0
 Homepage: http://dovecot.org/
-Vcs-Bzr: https://code.edge.launchpad.net/~ubuntu-branches/ubuntu/lucid/dovecot/lucid
+Vcs-Git: git://git.debian.org/git/collab-maint/dovecot.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/dovecot.git
 
 Package: dovecot-common
 Architecture: any
-Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020), ssl-cert (>= 1.0-11ubuntu1), lsb-base (>= 3.2-12ubuntu3), ${misc:Depends}
-Suggests: ntp, ufw
-Recommends: ntpdate
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020)
+Suggests: ntp
 Replaces: dovecot
 Description: secure mail server that supports mbox and maildir mailboxes
  Dovecot is a mail server whose major goals are security and extreme
@@ -27,6 +26,8 @@
 Package: dovecot-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-common (= ${binary:Version})
+Replaces: dovecot-common (<< 1:1.1.11-1)
+Breaks: dovecot-common (<< 1:1.1.11-1)
 Description: header files for the dovecot mail server
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
@@ -62,32 +63,6 @@
  .
  This package contains the dovecot POP3 server.
 
-Package: mail-stack-delivery
-Architecture: all
-Depends: dovecot-common, dovecot-imapd, dovecot-pop3d, postfix, ${misc:Depends}
-Replaces: dovecot-postfix (<< 1:1.2.12-0ubuntu1~)
-Description: mail server delivery agent stack provided by Ubuntu server team
- Ubuntu's mail stack provides fully operational delivery with
- safe defaults and additional options. Out of the box it supports IMAP,
- POP3 and SMTP services with SASL authentication and Maildir as default
- storage engine.
- .
- This package contains configuration files for dovecot.
- .
- This package modifies postfix's configuration to integrate with dovecot
-
-Package: dovecot-postfix
-Architecture: all
-Depends: ${misc:Depends}, mail-stack-delivery
-Description: mail server delivery agent stack provided by Ubuntu server team
- Ubuntu's mail stack provides fully operational delivery agent with
- safe defaults and additional options. Out of the box it supports IMAP,
- POP3 and SMTP services with SASL authentication and Maildir as default
- storage engine.
- .
- This is a transitional package to support upgrades and may be safely removed
- after installation.
-
 Package: dovecot-dbg
 Section: debug
 Priority: extra
