=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-export DEB_BUILD_HARDENING=1
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -90,15 +89,14 @@
 	install -o root -g root -m 0644 $(CURDIR)/doc/dovecot-ldap-example.conf $(CURDIR)/debian/dovecot-common/usr/share/dovecot/dovecot-ldap.conf
 	install -o root -g root -m 0644 $(CURDIR)/doc/dovecot-sql-example.conf $(CURDIR)/debian/dovecot-common/usr/share/dovecot/dovecot-sql.conf
 	install -D -m 0755 -o root -g root $(CURDIR)/debian/maildirmake.dovecot $(CURDIR)/debian/dovecot-common/usr/bin/maildirmake.dovecot
-	install -m644 debian/dovecot-common.ufw.profile debian/dovecot-common/etc/ufw/applications.d/dovecot-common
 	install -m 0755 -o root -g root $(CURDIR)/debian/expire-tool.sh $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/expire-tool.sh
+	mv $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common
 	cp $(SIEVE_DIR)/ChangeLog $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/sieve.ChangeLog
 	cp $(SIEVE_DIR)/README $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/sieve.README
 	cp $(SIEVE_DIR)/NEWS $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/sieve.NEWS
 	cp $(MANAGESIEVE_DIR)/ChangeLog $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.ChangeLog
 	cp $(MANAGESIEVE_DIR)/README $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.README
-	cp $(MANAGESIEVE_DIR)/NEWS $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.NEWS		
-	mv $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common
+	cp $(MANAGESIEVE_DIR)/NEWS $(CURDIR)/debian/dovecot-common/usr/share/doc/dovecot-common/managesieve.NEWS
 	mv $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/imap* $(CURDIR)/debian/dovecot-imapd/usr/lib/dovecot
 	mv $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/modules/imap/ $(CURDIR)/debian/dovecot-imapd/usr/lib/dovecot/modules/
 	mv $(CURDIR)/debian/dovecot-common/usr/lib/dovecot/pop3* $(CURDIR)/debian/dovecot-pop3d/usr/lib/dovecot
@@ -109,25 +107,9 @@
 	rm $(CURDIR)/debian/dovecot-common/etc/dovecot/dovecot-ldap-example.conf
 	rm $(CURDIR)/debian/dovecot-common/etc/dovecot/dovecot-sql-example.conf
 
-	# Install apport hook
-	install -D -m 644 debian/source_dovecot.py $(CURDIR)/debian/dovecot-common/usr/share/apport/package-hooks/dovecot-common.py
-
-
 # Build architecture-independent files here.
 binary-indep: build install
-	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
-	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/auth.d/
-	cp $(CURDIR)/debian/01-mail-stack-delivery.conf $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
-	cp $(CURDIR)/debian/01-mail-stack-delivery.auth $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/auth.d/
-	dh_testdir -i
-	dh_testroot -i
-	dh_installdocs -i
-	dh_installchangelogs -i ChangeLog
-	dh_compress -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
+	# nothing to do here
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -137,8 +119,8 @@
 	dh_installexamples -a
 	dh_installpam -a
 	mv $(CURDIR)/debian/dovecot-common/etc/pam.d/dovecot-common $(CURDIR)/debian/dovecot-common/etc/pam.d/dovecot
-	dh_installinit -pdovecot-common --name=dovecot --upstart-only
-	dh_installcron -p dovecot-common --name=dovecot	
+	dh_installinit -pdovecot-common --init-script=dovecot -u"defaults 20"
+	dh_installcron -p dovecot-common --name=dovecot
 	dh_installman -a
 	dh_installman -p dovecot-common debian/maildirmake.dovecot.1 debian/dovecot.1 debian/dovecot.8 debian/dovecotpw.1
 	dh_installchangelogs -a ChangeLog
